package cn.com.ty.lift.business.contract.service;

import cn.com.ty.lift.business.contract.dao.entity.Contracts;
import cn.com.ty.lift.business.contract.dao.entity.Payment;
import cn.com.ty.lift.business.contract.dao.entity.model.PaymentRequest;
import cn.com.ty.lift.business.contract.dao.mapper.PaymentMapper;
import cn.com.ty.lift.business.framework.util.MessageUtils;
import cn.com.ty.lift.common.constants.ApiConstants;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author bieao
 * @date 2019/12/11
 * @description 收款业务层
 */
@Service
public class PaymentService extends ServiceImpl<PaymentMapper, Payment> {

    /**
     * @param contracts 合同信息
     * @return  是否成功
     * @description 批量插入收款信息
     * @date 2019/12/11 4:34 PM
     */
    public boolean insertBatch(Contracts contracts) {
        List<Payment> payments = contracts.getPaymentList();
        //设置合同付款的合同编号
        for (Payment entry : payments) {
            entry.setContractsId(contracts.getNextId());
        }
        //批量插入付款信息
        return saveBatch(payments);
    }

    /**
     * @param request paymentList 收款信息列表
     * @return 1.成功, 0.失败, 消息描述
     * @description 批量修改收款信息
     * @date 2019/12/11 3:50 PM
     */
    public RestResponse updateBatchById(PaymentRequest request) {
        boolean result = updateBatchById(request.getPaymentList());
        if (result) {
            return RestResponse.success(null, ApiConstants.RESULT_SUCCESS, MessageUtils.get("msg.modify.batch.success"));
        }
        return RestResponse.fail(MessageUtils.get("msg.modify.batch.fail"));
    }
}
