package cn.com.ty.lift.system.settings.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 全局设置
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class GlobalSet implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Integer id;

    /**
     * 设置名称
     */
    @TableField("name")
    private String name;

    /**
     * 类型
     */
    @TableField("type")
    private Integer type;

    /**
     * 设置值
     */
    @TableField("value")
    private Integer value;

    /**
     * 设置编码号
     */
    @TableField("code")
    private String code;

    /**
     * 描述
     */
    @TableField("description")
    private String description;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private LocalDateTime updateTime;

    /**
     * 公司id
     */
    @TableField("company_id")
    private Long companyId;

    public GlobalSet(){}

    public GlobalSet(Long companyId, String name, int value, String code, Integer type, String description){
        this.companyId = companyId;
        this.name = name;
        this.value = value;
        this.code = code;
        this.type = type;
        this.description = description;
    }

}
