package cn.com.ty.lift.system.template.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 模板
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Template implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 模板id
     */
    @TableId("id")
    private Long id;

    /**
     * 模板名
     */
    @TableField("name")
    private String name;

    /**
     * 是否可编辑 1可编辑 0不可编辑
     */
    @TableField("edit")
    private Integer edit;

    /**
     * 模板所属的维保公司id,0为全维保公司都拥有的模板
     */
    @TableField("mt_company_id")
    private Long mtCompanyId;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    @TableField(exist = false)
    private Integer pageNum;

    @TableField(exist = false)
    private Integer pageSize;
}