package cn.com.ty.lift.system.user.service.impl;

import cn.com.ty.lift.system.user.dao.entity.UserInfo;
import cn.com.ty.lift.system.user.dao.mapper.UserInfoMapper;
import cn.com.ty.lift.system.user.service.IUserInfoService;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author huangyuan
 * @date 2019-11-29
 * @description 用户信息
 */
@Service
public class UserInfoService extends ServiceImpl<UserInfoMapper, UserInfo> implements IUserInfoService {


    @Override
    public UserInfo getByUserId(Long userId) {
        return this.getById(userId);
    }

    @Override
    @Transactional
    public boolean updateUserInfo(UserInfo userInfo) {
        return this.update(userInfo, new UpdateWrapper<UserInfo>()
        .eq("user_id", userInfo.getUserId())
        );
    }
}
